Subject: bug#396: pulseaudio-plugin: Disable pulseaudio respawn?

From: Nico Orru <[email-masked]>
Date: Mon, 17 Feb 2020 22:13:39 +0000

Package: xfce4-pulseaudio-plugin
Version: 0.4.2-1
Severity: normal
File: pulseaudio-plugin

Dear Maintainer,

I have pulseaudio disabled from session startup and from /etc/pulse/client.conf. I usually use ALSA and I need to be able to start and use pulseaudio only on request.

Since last apt-get upgrade pulseaudio starts automatically and if stopped it gets restarted by the XFCE plugin.

Please note that I need pulseaudio *not* to start from the session so pasuspend is not a solution,

I could not find a way to stop pulseaudio and keep it dead if the pulseaudio-plugin is active (which is also required as I need it when pulseaudio is running) except chmod -x /usr/bin/pulseaudio.

As an alternative I could simply uninstall the pulseaudio-plugin and reinstall it every time I start Pulseaudio.

Disabling pulseaudio from the session or changing settings in /etc/pulse/client.conf seem to be ignored by the plugin.

This is not a showstopper, just a usability issue. Is there an easier way to do it?

Cheers,
Nico

-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 4 (chimaera/ceres)
Release:	testing/unstable
Codename:	n/a
Architecture: x86_64

Kernel: Linux 4.19.0-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C), LANGUAGE=C.UTF-8 (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages xfce4-pulseaudio-plugin:amd64 depends on:
ii  libc6                    2.29-10
ii  libglib2.0-0             2.62.4-2
ii  libgtk-3-0               3.24.13-1
ii  libkeybinder-3.0-0       0.3.2-1+b1
ii  libnotify4               0.7.8-1
ii  libpulse-mainloop-glib0  13.0-5
ii  libpulse0                13.0-5
ii  libwnck-3-0              3.32.0-1
ii  libxfce4panel-2.0-4      4.14.3-1
ii  libxfce4ui-2-0           4.14.1-1+b1
ii  libxfce4util7            4.14.0-1
ii  libxfconf-0-3            4.14.1-1

Versions of packages xfce4-pulseaudio-plugin:amd64 recommends:
ii  pavucontrol  4.0-1
ii  pulseaudio   13.0-5

xfce4-pulseaudio-plugin:amd64 suggests no packages.

-- no debconf information